Command Resource
Description
Resource used to check status of commands issued to the clustering management system.
GET /setup/commands/:ID
GET Parameters
| Name | Required | Type | Description | Default Value |
|---|---|---|---|---|
| :ID | Yes | URL | Numeric ID of the issued command |
GET Response Values
| Name | Type | Description |
|---|---|---|
| command_resource | JSON String | The command resource that was requested. |
| command | JSON String | The issued command. |
| status | JSON String | The status of the command. This will either be "request" or "success" for initial or completed commands. If the command fails (indicated by the failed boolean) for a known reason, this will contain a description of the failure cause. If the cause of failure is unknown, it will simply be "failure". |
| finished | JSON Boolean | Whether or not the command has finished processing. |
| failed | JSON Boolean | Whether or not the command has failed. |
Example GET Request
GET /setup/commands/4
Example GET Response
{
"command_resource": "/commands/4",
"command": "switchover",
"status": "success",
"finished": true,
"failed": false
}